var wmposUndefined              = 0;
var wmposPlaylistChanging       = 1;
var wmposPlaylistLocating       = 2;
var wmposPlaylistConnecting     = 3;
var wmposPlaylistLoading        = 4;
var wmposPlaylistOpening        = 5;
var wmposPlaylistOpenNoMedia    = 6;
var wmposMediaChanging          = 7;
var wmposMediaLocating          = 8;
var wmposMediaConnecting        = 9;
var wmposMediaLoading           = 10;
var wmposMediaOpening           = 11;
var wmposMediaOpen              = 12;

var wmppsUndefined              = 0;
var wmppsStopped                = 1;
var wmppsPaused                 = 2;
var wmppsPlaying                = 3;
var wmppsScanForward            = 4;
var wmppsScanReverse            = 5;
var wmppsBuffering              = 6;

var wmpOpenedState=0
var wmpPlayState=0

var fHavePlayed=0
var fHaveFullscreened=0

function onPlayStateChange()
{
    wmpPlayState=player.PlayState;

    switch(wmpPlayState) 
    {
    case wmppsStopped:
        if( 1 == fHavePlayed )
        {
            view.returnToMediaCenter();
        }
        break;

    case wmppsPlaying:
        if( player.currentMedia.imageSourceHeight > 0 )
        {
            Video.fullScreen=true;
        }
        else
        {
            Effects.fullScreen = true;
        }

        fHavePlayed = 1;
        break;

    case wmppsScanForward:
    case wmppsScanReverse:
    case wmppsPaused:
    case wmppsBuffering:
    case wmppsUndefined:
    default:
        break;
    }
}

function OnTimerTickNormalView()
{
    if( 0 == fHavePlayed )
    {
        player.controls.Play();
    }
    else
    {
         if(  ( !Video.fullScreen  )
            &&( !Effects.fullScreen ) )
         {
            if( 1 == fHaveFullscreened )
            {
                //We've transitioned back from the full screen mode - let's pop back to regular WMP now.
                view.returnToMediaCenter();

                //or we could quit - but why?
                //view.close();
            }
         }
         else
         {
             fHaveFullscreened = 1;    
         }
    }

    onPlayStateChange();
}

function initStates()
{
    wmpPlayState=wmppsUndefined;
    onPlayStateChange();

    player.controls.Play();
}
